# Search hotels by location.

The Search by Location request searches for hotels by any one of:  

  - geographic coordinates  

  - address  
  
  - IATA airport code  
  
  - IATA city code.  
  
  Although you can search by various criteria, all responses return results in the same format. The response returns up to 100 properties, or all available properties if less than 100. If more than 100 properties matching the search criteria are available, you can request the next page of results with the Search Pagination API.

Endpoint: POST /hotel/search/properties/search
Version: 11.36.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Header parameters:

  - `TraceId` (string)
    Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

  - `TVP-Correlation-Id` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

## Request fields (application/json):

  - `PropertiesQuerySearch` (object)
    Used for a Hotel Search by Location request. Defines the search criteria, including the type of location to search by (address, coordinates, airport, or city), stay dates, room occupancy details, and optional filtering criteria. This request is usually followed by a Hotel Availability request or optionally a Hotel Details request.

  - `PropertiesQuerySearch.@type` (string, required)
    Discriminator class PropertiesQuerySearch only
    Example: PropertiesQuerySearch

  - `PropertiesQuerySearch.SortOrder` (string)
    The method to be used in sorting hotel properties
    Enum: "StarRating", "Proximity"

  - `PropertiesQuerySearch.CheckInDate` (string, required)
    Check-in date in YYYY-MM-DD format.

  - `PropertiesQuerySearch.CheckOutDate` (string, required)
    Check-out date in YYYY-MM-DD format.

  - `PropertiesQuerySearch.ChainCodes` (array)
    One to six hotel chain codes to include in the search results. Each chain code is typically two alpha characters. ChainCodes supports the entry of brand codes, which are expanded internally by Travelport into the associated chain codes for that brand.

  - `PropertiesQuerySearch.HotelName` (string)
    Search for properties with a matching hotel name. This string must match as a substring (case insensitive) in a property's name for the property to be returned. Must be at least three characters long. Supported characters are alphanumeric, comma, period, apostrophe, hyphen, semicolon, colon, and space.

  - `PropertiesQuerySearch.RequestedCurrency` (string)
    Send a currency code to request conversion rate information for converting to that currency from the hotel location's currency. The response then returns the CurrencyRateConversion object, which provides the conversion rate of the specified currency that can be used to calculate, independently of the API, the conversion of the rates returned in the response.

  - `PropertiesQuerySearch.ImageSize` (string)
    A size for the image to return, allowing you to set image quality. Hospitality APIs no longer support thumbnail.
    Enum: "Large", "Medium", "Small", "Thumbnail", "ExtraLarge"

  - `PropertiesQuerySearch.RoomStayCandidate` (array)
    Contains information associated with room searches.

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts` (object, required)
    The number and age(s) of guests within the room.

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts.@type` (string)
    Example: GuestCounts

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts.GuestCount` (array, required)

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts.GuestCount.@type` (string)
    Example: GuestCount

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts.GuestCount.age` (integer)
    The age of the guest. Required only when request includes a child in the room.
    Example: 21

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts.GuestCount.count` (integer)
    Number of guests. Supports numeric values 1-9 inclusive.
    Example: 2

  - `PropertiesQuerySearch.RoomStayCandidate.GuestCounts.GuestCount.ageQualifyingCode` (string)
    "Required only for children or if traveler age is relevant, such as for a senior discount. Supported values include '8' and '10'. 8: Traveler in this GuestCount is a child. 10: Traveler in this GuestCount is an adult."
    Example: 10

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity` (array)

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.@type` (string)

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.description` (string)
    Description of amenity received from supplier.
    Example: WiFi

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.quantity` (integer)
    quantity of amenity

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.Name` (string)
    Room Amenity Name
    Example: 24 hour Room Service

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.Inclusion` (array)

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.includedInd` (boolean)
    Represents if the amenity is included with the rate

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.surchargeInd` (boolean)
    Represents if the amenity attracts a surcharge.

  - `PropertiesQuerySearch.RoomStayCandidate.RoomAmenity.code` (string)
    OTA code used to describe the room amenity. This is optional in the Properties Search request but mandatory in the response.

  - `PropertiesQuerySearch.RateCandidates` (object)
    For a Hotel Search request: up to eight negotiated rate codes and/or one frequent guest number. For a Hotel Availability request: rate plans, access codes, and rate categories - send only if requesting rate plans.

  - `PropertiesQuerySearch.RateCandidates.@type` (string, required)
    Discriminator classes RateCandidates and RateCandidatesDetail
    Example: RateCandidates

  - `PropertiesQuerySearch.RateCandidates.RateCandidate` (array, required)

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.@type` (string, required)
    Discriminator classes RateCandidate and RateCandidateDetail
    Example: RateCandidateDetail

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.priority` (integer)
    A rate candidate priority

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.rateCode` (string)
    "The negotiated rateCode to be applied to the request. 
For Hotel Availability, each rateCode must be associated with a chainCode, propertyCode, and a rateCategory of 'Multi-level/Negotiated/Secure'. 
For Hotel Rules, this value can be found, if returned, in the Availability response's ProductRateCodeInfo/RateCodeInfo/value."
    Example: HL123

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.rateCategory` (string)
    For Hotel Search, request a rate category by sending up to 8 OTA rate categories to search for. If the supplier has rates available for the requested category, the response contains those rates and indicates them as such. Some properties do not return these rates unless explicitly requested.
For a Hotel Rules request, this value can be found, if returned, in the Availability response's ProductRateCodeInfo/RateCodeInfo/rateCategory.
    Enum: "All", "Association", "Business", "BusinessStandard", "Club", "Convention", "Corporate", "Consortiums", "Discount", "Credential", "Employee", "FamilyPlan", "FullInclusive", "Government", "Inclusive", "Industry/TravelAgentRate", "Leisure", "Military", "Monthly", "Multi-DayPackage", "MultLevel/Negotiated/Secure", "Other", "Package", "PrePaid", "Promotional", "RackGeneral", "SeniorCitizen", "Standard", "Tour", "VIP", "Weekend", "Weekly"

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.chainCode` (string)
    Code for the hotel chain (typically 2 characters)
    Example: UR

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.propertyCode` (string)
    The property code of the requested property (typically 5 characters).
    Example: G3375

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.masterRateCode` (string)
    An agency-created rate code that can be translated into up to 12 negotiated rate codes. If masterRateCode is sent, any additional rateCodes will be ignored.
    Example: 1ABC23

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.rateID` (string)
    'ID of the rate plan associated with the negotiated rate. 
For Hotel Availability,Optional; will be added automatically if missing.
For Hotel Rules, this value can be found, if returned, in the Availability response's ProductRateCodeInfo/RateCodeInfo/rateID.'
    Example: HL123

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty` (object)
    Specifies the ID for the membership program. Each instance sends customer loyalty information, such as for a frequent flyer program.  
For Hotel send the loyalty card number in the value field, followed by programID with the hotel chain code, and supplierType: Hotel.  
For Air send the loyalty card number in the value field, followed by airline code in "supplier".  For cross accrual use the "shareWithSupplier" field to submit to partner airlines.  
If CustomerLoyalty is sent in the AirSearch request, it must also be sent in the AirPrice request and the Add Traveler request. Because some carriers validate frequent traveler data through the workflow, failing to send the same CustomerLoyalty details, even if invalid, may cause a booking failure.  
If an invalid number is sent, the response returns a warning message that the FQTV (frequent traveler) is invalid, and the invalid number is cached to prevent a potential booking failure.  
For Seats related to loyalty benefits, passengerinformation is necessary so that airlines can determine traveler eligibility for preferred or premium seats tied to loyalty status. If the traveler is eligible for free seats, the response will have a price of 0. Only the first passenger's loyalty details are used to determine seat eligibility.

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.value` (string, required)
    Number on loyalty card.
    Example: 132456

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.id` (string)
    Optional Customer Loyalty Id. Not saved
    Example: Loyalty_1

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.priority` (integer)
    Optional Numeric Priority Code
    Example: 2

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.programId` (string)
    Specifies an identifier to indicate the company owner of the loyalty program. Typically two characters.  
For frequent guest number, the hotel supplier or brand code.  
For frequent flyer number, the air supplier code of the loyalty program.
    Example: HY

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.programName` (string)
    Supplier's loyalty program name.
    Example: Frontier-EarlyReturns

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.supplierType` (string)
    The type of supplier of a loyalty program. Uses 'hotel' for frequent guest number or 'air' for frequent flyer number.
    Example: Hotel

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.supplier` (string)
    Supplier of a loyalty program (typically 2 characters representing the hotel, brand, or airline).
    Example: UA

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.tier` (string)
    Customer Loyalty tier
    Example: Silver

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.shareWithSupplier` (array)
    The list of suppliers that the CustomerLoyalty number is shared. Used for cross accrual programs.  
If valid carrier codes are not sent, the response returns the message NO CROSS ACCRUAL AGREEMENT EXISTS.

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.cardHolderName` (string)
    Customer loyalty member name; up to 128 characters are supported. In Air Search, for discounted offers to be returned, the name must be sent as LAST FIRST; e.g., if SMITH is the last name and JORDAN the first name, send as SMITH JORDAN
    Example: John Smith

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.validatedInd` (boolean)
    Customer loyalty number has been validated by the supplier
    Example: true

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.prefix` (string)
    The cardholder name prefix title like Mr, Mrs, Dr
    Example: Dr

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.given` (string)
    The First Name of the Cardholder
    Example: John

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.middle` (string)
    Middle Name of the Cardholder
    Example: Wilkinson

  - `PropertiesQuerySearch.RateCandidates.RateCandidate.CustomerLoyalty.surname` (string)
    Last Name of the Cardholder
    Example: Smith

  - `PropertiesQuerySearch.RateCandidates.prePayRatesOnlyInd` (boolean)
    A prepay rate charges the full amount on the credit card immediately on booking. If true, returns only pre-paid rates. If false, allows the return of all rates.

  - `PropertiesQuerySearch.RateCandidates.postPayRatesOnlyInd` (boolean)
    A postpay rate (most common in the US) charges the credit card at the property when the guest checks in. If true, returns only post-paid rates. If false, allows the return of all rates.

  - `PropertiesQuerySearch.RateCandidates.removeSpecialRatesInd` (boolean)
    Used to request the removal of rate category (Promotional/Package/etc.) rates that may have been returned by the supplier as typical published rates. If true, removes all rate category type rates (except for negotiated rates). If true but one or more specific rate categories are requested, then this indicator is ignored and the rate category is applied. If false, allows the return of all rates returned by the supplier with no filtering. Default behavior is false.

  - `PropertiesQuerySearch.RateCandidates.numberOfRatePlans` (integer)
    Minimum number rate plans requested in response

  - `PropertiesQuerySearch.SearchBy` (object, required)
    Search for Hotels, based on the type of location: 1) geographic coordinates, 2) address, 3) IATA airport code, or 4) IATA city code.

  - `PropertiesQuerySearch.SearchBy.@type` (string, required)
    Discriminator classes SearchByGeoLocation, SearchByAddress, SearchByAirport, and SearchByCity
    Example: SearchByAirport

  - `PropertiesQuerySearch.SearchBy.SearchRadius` (object)
    For Air: distance covered by the flight.  
For Hotel: a radius around a specified location. The Distance object is returned in all Hotel Search responses but is not relevant to a search by property IDs, only for a search by location.

  - `PropertiesQuerySearch.SearchBy.SearchRadius.value` (number)
    When using distance as a Hotel property search parameter, the maximum distance is 25 for miles and 40 for kilometres.
    Example: 25

  - `PropertiesQuerySearch.SearchBy.SearchRadius.unitOfDistance` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `PropertiesQuerySearch.SearchBy.SearchAddress` (object, required)

  - `PropertiesQuerySearch.SearchBy.SearchAddress.City` (string)
    Full name of a city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Denver

  - `PropertiesQuerySearch.SearchBy.SearchAddress.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `PropertiesQuerySearch.SearchBy.SearchAddress.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `PropertiesQuerySearch.SearchBy.SearchAddress.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `PropertiesQuerySearch.SearchBy.SearchAddress.Country` (string)
    Country Code (typically 2 characters).

  - `PropertiesQuerySearch.SearchBy.SearchAirport` (string, required)
    An airport IATA code. Must be three alpha characters.

  - `PropertiesQuerySearch.SearchBy.SearchCity` (string, required)
    A city IATA code. Must be three alpha characters. If no matching city code is found, airport search is automatically invoked.

  - `PropertiesQuerySearch.SearchBy.Latitude` (number, required)
    Numeric value representing latitude of search center point in degrees and decimal minutes.
    Example: 39.7392

  - `PropertiesQuerySearch.SearchBy.Longitude` (number, required)
    Numeric value representing longitude of search center point in degrees and decimal minutes.
    Example: -104.9903

  - `PropertiesQuerySearch.returnAllImagesInd` (boolean)
    If true, returns all property images of the requested ImageSize. If false, returns the best single image. Default behavior is false.

  - `PropertiesQuerySearch.PropertyAmenityCode` (array)

  - `PropertiesQuerySearch.BrandCodes` (array)
    The permitted property brand code(s) to be returned for this request
    Example: EM, EH

  - `PropertiesQuerySearch.returnOnlyAvailablePropertiesInd` (boolean)
    If true, returns only properties with current availability for the dates requested. In some cases, fewer than 25 properties per page may be returned. If false, return properties regardless of availability. Default behavior is false.

  - `PropertiesQuerySearch.AggregatorList` (array)

  - `PropertiesQuerySearch.recommendedPropertyAmenitiesInd` (boolean)
    If true, a limited set of property amenities will be returned in the response. if false, or omitted a full set of property amenities will be returned in the response.

  - `PropertiesQuerySearch.applyLenientPropertyListRulesInd` (boolean)
    If true, properties are returned by distance from location, some properties in the list will not support any of the negotiated rates in the request.

## Request examples:

  - `By geo location` (unknown)

  - `By address` (unknown)

  - `By airport` (unknown)

  - `By city` (unknown)

  - `By airport with filters and RACs` (unknown)

## Response 200:

  - `200` (unknown)
    OK - Successful Response - 200

## Response 200 fields (application/json):

  - `PropertiesResponse` (object)
    The response of a Properties endpoint request.

  - `PropertiesResponse.@type` (string)
    Example: response

  - `PropertiesResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `PropertiesResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `PropertiesResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `PropertiesResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `PropertiesResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `PropertiesResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `PropertiesResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `PropertiesResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `PropertiesResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `PropertiesResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `PropertiesResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `PropertiesResponse.Result.Error.NameValuePair` (array)

  - `PropertiesResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `PropertiesResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `PropertiesResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `PropertiesResponse.Result.Error.category` (string)
    A category to assist in identifying the error
    Example: VALIDATION

  - `PropertiesResponse.Result.Error.SourceID` (string)
    The identifier of the source system sending the error or warning
    Example: 1G

  - `PropertiesResponse.Result.Error.SourceCode` (string)
    The error or warning code returned by the source airline or host system
    Example: 1234

  - `PropertiesResponse.Result.Error.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `PropertiesResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `PropertiesResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `PropertiesResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `PropertiesResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `PropertiesResponse.Result.Warning.NameValuePair` (array)

  - `PropertiesResponse.Result.Warning.category` (string)
    A category to assist in identifying the error
    Example: INFORMATION

  - `PropertiesResponse.Result.Warning.SourceID` (string)
    The identifier of the source system sending the error or warning
    Example: 1G

  - `PropertiesResponse.Result.Warning.SourceCode` (string)
    The error or warning code returned by the source airline or host system
    Example: 1234

  - `PropertiesResponse.Result.Warning.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `PropertiesResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `PropertiesResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `PropertiesResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `PropertiesResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `PropertiesResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `PropertiesResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `PropertiesResponse.NextSteps.NextStep` (array, required)

  - `PropertiesResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `PropertiesResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `PropertiesResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `PropertiesResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `PropertiesResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `PropertiesResponse.ReferenceList` (array)

  - `PropertiesResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `PropertiesResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `PropertiesResponse.ReferenceList.PropertyDates` (array, required)

  - `PropertiesResponse.ReferenceList.PropertyDates.@type` (string)

  - `PropertiesResponse.ReferenceList.PropertyDates.availability` (string)
    Indicates whether the property has rooms available for the requested dates.
    Enum: "Open", "Close", "ClosedOnArrival", "ClosedOnArrivalOnRequest", "OnRequest", "RemoveCloseOnly", "Other"

  - `PropertiesResponse.ReferenceList.PropertyDates.adaCompliant` (string)
    Yes , No , Unknown
    Enum: "Yes", "No", "Unknown"

  - `PropertiesResponse.ReferenceList.PropertyDates.id` (string, required)
    Key to matching the common information in ReferenceList with an Offer; corresponds to the propertyDatesRef value in each Offer/Products/Product.

  - `PropertiesResponse.ReferenceList.PropertyDates.moreRatesToken` (string)
    More rates token

  - `PropertiesResponse.ReferenceList.PropertyDates.propertyName` (string)
    Name of property offering these products.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress` (object)
    The property or billing address information.  
For Flights Add Traveler sending Address is optional, but when sent it must have the role set to 'Delivery' and include at least one of its objects, such as Number or City.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.@type` (string, required)
    Discriminator classes Address or AddressDetail
    Example: AddressDetail

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.id` (string)
    unique address id
    Example: Address_1

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.BldgRoom` (object)
    Address with building and room number

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.BldgRoom.value` (string)
    Example: Moore House

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.BldgRoom.buldingInd` (boolean)
    When true, the information is a building name. When false, it is an apartment or room #
    Example: true

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Number` (object)
    The street number alone is the numerical number that precedes the street name in the address.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Number.value` (string)
    Street number value.
    Example: 23B

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Number.streetNmbrSuffix` (string)
    Street Number Suffix
    Example: B

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Number.streetDirection` (string)
    Direction of the Street
    Example: NW

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Number.ruralRouteNmbr` (string)
    RuralRoute Number
    Example: 76

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Number.po_Box` (string)
    PO Box Number
    Example: 1001

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Street` (string)
    Street name. May also contain the street number when the Number element is missing.
    Example: ABC Street

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.AddressLine` (array)
    Property street address. Used in place of Street and Number. Each element of the array represents an address line.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.City` (string, required)
    Full name of the city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Dublin

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.County` (string)
    County or Region Name.
    Example: Berkshire

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Country` (object)
    Contains the information needed to identify a country.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Country.value` (string)
    The ISO 3166 code for the property's address.
    Example: US

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Country.id` (string)
    Custom user-assigned identifier for the country.
    Example: 23

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Country.name` (string)
    The full name of the country for the property's address.
    Example: United States

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Country.codeContext` (string)
    The source of a code, such as the organization that provided the id number
    Example: IATA

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.PostalCode` (string)
    Postal code for the address.
    Example: Sl6 1AB

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Addressee` (string)
    The name of the company or person to be addressed
    Example: ACME INC

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.role` (string)
    Defines the type of location the address is assigned to. For TravelAgency address leave blank or use "Other".
    Enum: "Home", "Business", "Mailing", "Delivery", "Destination", "Other", "Billing"

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.addressType` (string)
    OTA code for address type
    Example: CLT

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.use` (string)
    OTA code for address use
    Example: AUT

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Comment` (object)
    Textual information.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Comment.value` (string)
    Actual text.
May be restricted based on the type of comment. Ex:
- Notepad remarks: limited to 87 characters.
- Traveler name remarks: limited to 33 characters, only spaces and hyphens allowed for special characters.
    Example: Additional comments

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Comment.id` (string)
    Local identifier within a given message for this object.
    Example: comment_1

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Comment.name` (string)
    Title of comment or type of remark.
    Example: Comment name

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Comment.language` (string)
    Language code using ISO-639 standard
    Example: EN

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Privacy` (object)
    Confidential details for marketing purpose

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Privacy.id` (string)
    Optional internally referenced id
    Example: 2

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Privacy.shareMarketing` (string)
    Used to indicate marketing preferences, Yes, No, Inherit
    Enum: "Yes", "No", "Inherit"

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Privacy.optInStatus` (string)
    Used to indicate marketing preferences, OptIn, OptOut
    Enum: "OptedIn", "OptedOut", "Unknown"

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Privacy.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-08-07T12:12:00Z

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Privacy.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-08-07T12:12:00Z

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.Priority` (integer)
    The priority ranking within the group
    Example: 1

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.validInd` (boolean)
    If true, this is a valid and complete mailing address that has been verified through an address verification service or previously mailed materials have not been returned.
    Example: false

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyAddress.provisionedInd` (boolean)
    If true, this address came into the system through provisioning
    Example: false

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyKey` (object, required)
    Contains up to 250 PropertyKey objects. Each PropertyKey object identifies one property.

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyKey.@type` (string)

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyKey.chainCode` (string, required)
    Code for the hotel chain (typically 2 characters)
    Example: UR

  - `PropertiesResponse.ReferenceList.PropertyDates.PropertyKey.propertyCode` (string, required)
    The property code of the requested property (typically 5 characters).
    Example: G3375

  - `PropertiesResponse.ReferenceList.PropertyDates.DateRange` (object, required)
    Specifies the begin and end date of an event, such as check-in and check-out dates.

  - `PropertiesResponse.ReferenceList.PropertyDates.DateRange.start` (string, required)
    Specifies the start date for an event, such as a booking or check-in date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `PropertiesResponse.ReferenceList.PropertyDates.DateRange.end` (string, required)
    Specifies the end date an event, such as a booking or check-out date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation` (object)
    For Hotel: the geographic coordinates of the property.

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.latitude` (number, required)
    Numeric value representing latitude of search center point in degrees and decimal minutes.
    Example: 38.8951

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.longitude` (number, required)
    Numeric value representing longitude of search center point in degrees and decimal minutes.
    Example: -77.0364

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.altitude` (number)
    The height of a location, typically measured above sea level
    Example: 5280

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.altitudeUnitOfDistance` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.positionAccuracy` (string)
    Specifies the level of accuracy for the position
    Enum: "Zip9Code", "Zip7Code", "Zip5Code", "Street", "State", "Property", "Intersection", "Exact", "County", "City", "Block"

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.mapURL` (string)
    link for embedded map showing location
    Example: www.destinationmap.com

  - `PropertiesResponse.ReferenceList.PropertyDates.GeoLocation.formatURL` (string)
    The URL to the format for the latitude and longitude for this location.
    Example: www.destinationmap.com

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone` (object)
    Phone information for contacting the relevant individual or agency.  
For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.@type` (string, required)
    Discriminator classes Telephone or TelephoneDetail
    Example: Telephone

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.countryAccessCode` (string)
    Phone country code
    Example: 1

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.areaCityCode` (string)
    Phone local area code
    Example: 972

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.phoneNumber` (string, required)
    Mobile/Telephone Number. Accepted characters are numeric, dash, space, and period.
    Example: 972-000-787

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.extension` (string)
    Telephone extension number
    Example: 234

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.id` (string)
    Optional custom user-assigned identifier for a phone number.
    Example: 3

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.cityCode` (string)
    IATA city code if referenced by phone number.
    Example: DEN

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.role` (string)
    Defines the type of location the Telephone is assigned to. For Travel Agency telephone select "Other" or leave blank.
    Enum: "Mobile", "Home", "Work", "Office", "Fax", "Other"

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.phoneLocationType` (string)
    Location of the phone
    Example: Agency

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.phoneTechType` (string)
    Indicates the type of technology associated with the telephone number
    Example: Voice

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.phoneUseType` (string)
    Agency code for how phone is used (e.g., Home, Business, Emergency Contact, Travel Arranger, Day, Evening).
    Example: Home

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.pin` (string)
    Additional codes used for telephone
    Example: 3456

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.priority` (integer)
    Priority
    Example: 1

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.defaultInd` (boolean)
    When true, indicates a default value should be used.
    Example: true

  - `PropertiesResponse.ReferenceList.PropertyDates.Telephone.provisionedInd` (boolean)
    true indicates this phone number was created through provisioned
    Example: false

  - `PropertiesResponse.ReferenceList.PropertyDates.Email` (object)
    Electronic email addresses, in IETF specified format.  
Booking.com requires a traveler email address in the Hotel Create Reservation and Add Reservation requests. A system-generated confirmation email is sent to the traveler after the booking completes.
For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.value` (string)
    The email address.
    Example: exampledomain@example.com

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.id` (string)
    Electronic email addresses, in IETF specified format.
    Example: email_1

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.emailType` (string)
    Use email type to specify if the email is to be sent "TO" or sent "FROM"
    Example: FROM

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.comment` (string)
    Any freeform note for the email, such as its purpose.
    Example: work email

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.preferredFormat` (string)
    Mime media type
    Example: text/html

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-03-03T11:11:00Z

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-03-03T11:11:00Z

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.validInd` (boolean)
    If true, this is a valid email address that has been system verified via a successful email transmission.
    Example: true

  - `PropertiesResponse.ReferenceList.PropertyDates.Email.provisionedInd` (boolean)
    If true then the email address came from the provisioning process
    Example: true

  - `PropertiesResponse.CurrencyRateConversion` (array)

  - `PropertiesResponse.CurrencyRateConversion.@type` (string)

  - `PropertiesResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `PropertiesResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `PropertiesResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `PropertiesResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `PropertiesResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `PropertiesResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `PropertiesResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `PropertiesResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `PropertiesResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `PropertiesResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `PropertiesResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `PropertiesResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `PropertiesResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `PropertiesResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `PropertiesResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400:

  - `400` (unknown)
    Bad Request - 400

## Response 400 fields (application/json):

  - `@type` (string)
    Example: response

  - `transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `Result.Error.NameValuePair` (array)

  - `Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `Result.Error.category` (string)
    A category to assist in identifying the error
    Example: VALIDATION

  - `Result.Error.SourceID` (string)
    The identifier of the source system sending the error or warning
    Example: 1G

  - `Result.Error.SourceCode` (string)
    The error or warning code returned by the source airline or host system
    Example: 1234

  - `Result.Error.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `Result.Warning.NameValuePair` (array)

  - `Result.Warning.category` (string)
    A category to assist in identifying the error
    Example: INFORMATION

  - `Result.Warning.SourceID` (string)
    The identifier of the source system sending the error or warning
    Example: 1G

  - `Result.Warning.SourceCode` (string)
    The error or warning code returned by the source airline or host system
    Example: 1234

  - `Result.Warning.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `NextSteps.NextStep` (array, required)

  - `NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ReferenceList` (array)

  - `ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ReferenceList.PropertyDates` (array, required)

  - `ReferenceList.PropertyDates.@type` (string)

  - `ReferenceList.PropertyDates.availability` (string)
    Indicates whether the property has rooms available for the requested dates.
    Enum: "Open", "Close", "ClosedOnArrival", "ClosedOnArrivalOnRequest", "OnRequest", "RemoveCloseOnly", "Other"

  - `ReferenceList.PropertyDates.adaCompliant` (string)
    Yes , No , Unknown
    Enum: "Yes", "No", "Unknown"

  - `ReferenceList.PropertyDates.id` (string, required)
    Key to matching the common information in ReferenceList with an Offer; corresponds to the propertyDatesRef value in each Offer/Products/Product.

  - `ReferenceList.PropertyDates.moreRatesToken` (string)
    More rates token

  - `ReferenceList.PropertyDates.propertyName` (string)
    Name of property offering these products.

  - `ReferenceList.PropertyDates.PropertyAddress` (object)
    The property or billing address information.  
For Flights Add Traveler sending Address is optional, but when sent it must have the role set to 'Delivery' and include at least one of its objects, such as Number or City.

  - `ReferenceList.PropertyDates.PropertyAddress.@type` (string, required)
    Discriminator classes Address or AddressDetail
    Example: AddressDetail

  - `ReferenceList.PropertyDates.PropertyAddress.id` (string)
    unique address id
    Example: Address_1

  - `ReferenceList.PropertyDates.PropertyAddress.BldgRoom` (object)
    Address with building and room number

  - `ReferenceList.PropertyDates.PropertyAddress.BldgRoom.value` (string)
    Example: Moore House

  - `ReferenceList.PropertyDates.PropertyAddress.BldgRoom.buldingInd` (boolean)
    When true, the information is a building name. When false, it is an apartment or room #
    Example: true

  - `ReferenceList.PropertyDates.PropertyAddress.Number` (object)
    The street number alone is the numerical number that precedes the street name in the address.

  - `ReferenceList.PropertyDates.PropertyAddress.Number.value` (string)
    Street number value.
    Example: 23B

  - `ReferenceList.PropertyDates.PropertyAddress.Number.streetNmbrSuffix` (string)
    Street Number Suffix
    Example: B

  - `ReferenceList.PropertyDates.PropertyAddress.Number.streetDirection` (string)
    Direction of the Street
    Example: NW

  - `ReferenceList.PropertyDates.PropertyAddress.Number.ruralRouteNmbr` (string)
    RuralRoute Number
    Example: 76

  - `ReferenceList.PropertyDates.PropertyAddress.Number.po_Box` (string)
    PO Box Number
    Example: 1001

  - `ReferenceList.PropertyDates.PropertyAddress.Street` (string)
    Street name. May also contain the street number when the Number element is missing.
    Example: ABC Street

  - `ReferenceList.PropertyDates.PropertyAddress.AddressLine` (array)
    Property street address. Used in place of Street and Number. Each element of the array represents an address line.

  - `ReferenceList.PropertyDates.PropertyAddress.City` (string, required)
    Full name of the city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Dublin

  - `ReferenceList.PropertyDates.PropertyAddress.County` (string)
    County or Region Name.
    Example: Berkshire

  - `ReferenceList.PropertyDates.PropertyAddress.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `ReferenceList.PropertyDates.PropertyAddress.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `ReferenceList.PropertyDates.PropertyAddress.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `ReferenceList.PropertyDates.PropertyAddress.Country` (object)
    Contains the information needed to identify a country.

  - `ReferenceList.PropertyDates.PropertyAddress.Country.value` (string)
    The ISO 3166 code for the property's address.
    Example: US

  - `ReferenceList.PropertyDates.PropertyAddress.Country.id` (string)
    Custom user-assigned identifier for the country.
    Example: 23

  - `ReferenceList.PropertyDates.PropertyAddress.Country.name` (string)
    The full name of the country for the property's address.
    Example: United States

  - `ReferenceList.PropertyDates.PropertyAddress.Country.codeContext` (string)
    The source of a code, such as the organization that provided the id number
    Example: IATA

  - `ReferenceList.PropertyDates.PropertyAddress.PostalCode` (string)
    Postal code for the address.
    Example: Sl6 1AB

  - `ReferenceList.PropertyDates.PropertyAddress.Addressee` (string)
    The name of the company or person to be addressed
    Example: ACME INC

  - `ReferenceList.PropertyDates.PropertyAddress.role` (string)
    Defines the type of location the address is assigned to. For TravelAgency address leave blank or use "Other".
    Enum: "Home", "Business", "Mailing", "Delivery", "Destination", "Other", "Billing"

  - `ReferenceList.PropertyDates.PropertyAddress.addressType` (string)
    OTA code for address type
    Example: CLT

  - `ReferenceList.PropertyDates.PropertyAddress.use` (string)
    OTA code for address use
    Example: AUT

  - `ReferenceList.PropertyDates.PropertyAddress.Comment` (object)
    Textual information.

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.value` (string)
    Actual text.
May be restricted based on the type of comment. Ex:
- Notepad remarks: limited to 87 characters.
- Traveler name remarks: limited to 33 characters, only spaces and hyphens allowed for special characters.
    Example: Additional comments

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.id` (string)
    Local identifier within a given message for this object.
    Example: comment_1

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.name` (string)
    Title of comment or type of remark.
    Example: Comment name

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.language` (string)
    Language code using ISO-639 standard
    Example: EN

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy` (object)
    Confidential details for marketing purpose

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.id` (string)
    Optional internally referenced id
    Example: 2

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.shareMarketing` (string)
    Used to indicate marketing preferences, Yes, No, Inherit
    Enum: "Yes", "No", "Inherit"

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.optInStatus` (string)
    Used to indicate marketing preferences, OptIn, OptOut
    Enum: "OptedIn", "OptedOut", "Unknown"

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-08-07T12:12:00Z

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-08-07T12:12:00Z

  - `ReferenceList.PropertyDates.PropertyAddress.Priority` (integer)
    The priority ranking within the group
    Example: 1

  - `ReferenceList.PropertyDates.PropertyAddress.validInd` (boolean)
    If true, this is a valid and complete mailing address that has been verified through an address verification service or previously mailed materials have not been returned.
    Example: false

  - `ReferenceList.PropertyDates.PropertyAddress.provisionedInd` (boolean)
    If true, this address came into the system through provisioning
    Example: false

  - `ReferenceList.PropertyDates.PropertyKey` (object, required)
    Contains up to 250 PropertyKey objects. Each PropertyKey object identifies one property.

  - `ReferenceList.PropertyDates.PropertyKey.@type` (string)

  - `ReferenceList.PropertyDates.PropertyKey.chainCode` (string, required)
    Code for the hotel chain (typically 2 characters)
    Example: UR

  - `ReferenceList.PropertyDates.PropertyKey.propertyCode` (string, required)
    The property code of the requested property (typically 5 characters).
    Example: G3375

  - `ReferenceList.PropertyDates.DateRange` (object, required)
    Specifies the begin and end date of an event, such as check-in and check-out dates.

  - `ReferenceList.PropertyDates.DateRange.start` (string, required)
    Specifies the start date for an event, such as a booking or check-in date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `ReferenceList.PropertyDates.DateRange.end` (string, required)
    Specifies the end date an event, such as a booking or check-out date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `ReferenceList.PropertyDates.GeoLocation` (object)
    For Hotel: the geographic coordinates of the property.

  - `ReferenceList.PropertyDates.GeoLocation.latitude` (number, required)
    Numeric value representing latitude of search center point in degrees and decimal minutes.
    Example: 38.8951

  - `ReferenceList.PropertyDates.GeoLocation.longitude` (number, required)
    Numeric value representing longitude of search center point in degrees and decimal minutes.
    Example: -77.0364

  - `ReferenceList.PropertyDates.GeoLocation.altitude` (number)
    The height of a location, typically measured above sea level
    Example: 5280

  - `ReferenceList.PropertyDates.GeoLocation.altitudeUnitOfDistance` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `ReferenceList.PropertyDates.GeoLocation.positionAccuracy` (string)
    Specifies the level of accuracy for the position
    Enum: "Zip9Code", "Zip7Code", "Zip5Code", "Street", "State", "Property", "Intersection", "Exact", "County", "City", "Block"

  - `ReferenceList.PropertyDates.GeoLocation.mapURL` (string)
    link for embedded map showing location
    Example: www.destinationmap.com

  - `ReferenceList.PropertyDates.GeoLocation.formatURL` (string)
    The URL to the format for the latitude and longitude for this location.
    Example: www.destinationmap.com

  - `ReferenceList.PropertyDates.Telephone` (object)
    Phone information for contacting the relevant individual or agency.  
For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

  - `ReferenceList.PropertyDates.Telephone.@type` (string, required)
    Discriminator classes Telephone or TelephoneDetail
    Example: Telephone

  - `ReferenceList.PropertyDates.Telephone.countryAccessCode` (string)
    Phone country code
    Example: 1

  - `ReferenceList.PropertyDates.Telephone.areaCityCode` (string)
    Phone local area code
    Example: 972

  - `ReferenceList.PropertyDates.Telephone.phoneNumber` (string, required)
    Mobile/Telephone Number. Accepted characters are numeric, dash, space, and period.
    Example: 972-000-787

  - `ReferenceList.PropertyDates.Telephone.extension` (string)
    Telephone extension number
    Example: 234

  - `ReferenceList.PropertyDates.Telephone.id` (string)
    Optional custom user-assigned identifier for a phone number.
    Example: 3

  - `ReferenceList.PropertyDates.Telephone.cityCode` (string)
    IATA city code if referenced by phone number.
    Example: DEN

  - `ReferenceList.PropertyDates.Telephone.role` (string)
    Defines the type of location the Telephone is assigned to. For Travel Agency telephone select "Other" or leave blank.
    Enum: "Mobile", "Home", "Work", "Office", "Fax", "Other"

  - `ReferenceList.PropertyDates.Telephone.phoneLocationType` (string)
    Location of the phone
    Example: Agency

  - `ReferenceList.PropertyDates.Telephone.phoneTechType` (string)
    Indicates the type of technology associated with the telephone number
    Example: Voice

  - `ReferenceList.PropertyDates.Telephone.phoneUseType` (string)
    Agency code for how phone is used (e.g., Home, Business, Emergency Contact, Travel Arranger, Day, Evening).
    Example: Home

  - `ReferenceList.PropertyDates.Telephone.pin` (string)
    Additional codes used for telephone
    Example: 3456

  - `ReferenceList.PropertyDates.Telephone.priority` (integer)
    Priority
    Example: 1

  - `ReferenceList.PropertyDates.Telephone.defaultInd` (boolean)
    When true, indicates a default value should be used.
    Example: true

  - `ReferenceList.PropertyDates.Telephone.provisionedInd` (boolean)
    true indicates this phone number was created through provisioned
    Example: false

  - `ReferenceList.PropertyDates.Email` (object)
    Electronic email addresses, in IETF specified format.  
Booking.com requires a traveler email address in the Hotel Create Reservation and Add Reservation requests. A system-generated confirmation email is sent to the traveler after the booking completes.
For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

  - `ReferenceList.PropertyDates.Email.value` (string)
    The email address.
    Example: exampledomain@example.com

  - `ReferenceList.PropertyDates.Email.id` (string)
    Electronic email addresses, in IETF specified format.
    Example: email_1

  - `ReferenceList.PropertyDates.Email.emailType` (string)
    Use email type to specify if the email is to be sent "TO" or sent "FROM"
    Example: FROM

  - `ReferenceList.PropertyDates.Email.comment` (string)
    Any freeform note for the email, such as its purpose.
    Example: work email

  - `ReferenceList.PropertyDates.Email.preferredFormat` (string)
    Mime media type
    Example: text/html

  - `ReferenceList.PropertyDates.Email.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-03-03T11:11:00Z

  - `ReferenceList.PropertyDates.Email.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-03-03T11:11:00Z

  - `ReferenceList.PropertyDates.Email.validInd` (boolean)
    If true, this is a valid email address that has been system verified via a successful email transmission.
    Example: true

  - `ReferenceList.PropertyDates.Email.provisionedInd` (boolean)
    If true then the email address came from the provisioning process
    Example: true

  - `CurrencyRateConversion` (array)

  - `CurrencyRateConversion.@type` (string)

  - `CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `CurrencyRateConversion.ConversionRate.value` (number)

  - `CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `Pagination.@type` (string, required)
    Example: Pagination

  - `Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 401:

  - `401` (unknown)
    Unauthorized - 401

## Response 401 fields (application/json):

  - `@type` (string)
    Example: response

  - `transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `Result.Error.NameValuePair` (array)

  - `Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `Result.Error.category` (string)
    A category to assist in identifying the error
    Example: VALIDATION

  - `Result.Error.SourceID` (string)
    The identifier of the source system sending the error or warning
    Example: 1G

  - `Result.Error.SourceCode` (string)
    The error or warning code returned by the source airline or host system
    Example: 1234

  - `Result.Error.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `Result.Warning.NameValuePair` (array)

  - `Result.Warning.category` (string)
    A category to assist in identifying the error
    Example: INFORMATION

  - `Result.Warning.SourceID` (string)
    The identifier of the source system sending the error or warning
    Example: 1G

  - `Result.Warning.SourceCode` (string)
    The error or warning code returned by the source airline or host system
    Example: 1234

  - `Result.Warning.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `NextSteps.NextStep` (array, required)

  - `NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ReferenceList` (array)

  - `ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ReferenceList.PropertyDates` (array, required)

  - `ReferenceList.PropertyDates.@type` (string)

  - `ReferenceList.PropertyDates.availability` (string)
    Indicates whether the property has rooms available for the requested dates.
    Enum: "Open", "Close", "ClosedOnArrival", "ClosedOnArrivalOnRequest", "OnRequest", "RemoveCloseOnly", "Other"

  - `ReferenceList.PropertyDates.adaCompliant` (string)
    Yes , No , Unknown
    Enum: "Yes", "No", "Unknown"

  - `ReferenceList.PropertyDates.id` (string, required)
    Key to matching the common information in ReferenceList with an Offer; corresponds to the propertyDatesRef value in each Offer/Products/Product.

  - `ReferenceList.PropertyDates.moreRatesToken` (string)
    More rates token

  - `ReferenceList.PropertyDates.propertyName` (string)
    Name of property offering these products.

  - `ReferenceList.PropertyDates.PropertyAddress` (object)
    The property or billing address information.  
For Flights Add Traveler sending Address is optional, but when sent it must have the role set to 'Delivery' and include at least one of its objects, such as Number or City.

  - `ReferenceList.PropertyDates.PropertyAddress.@type` (string, required)
    Discriminator classes Address or AddressDetail
    Example: AddressDetail

  - `ReferenceList.PropertyDates.PropertyAddress.id` (string)
    unique address id
    Example: Address_1

  - `ReferenceList.PropertyDates.PropertyAddress.BldgRoom` (object)
    Address with building and room number

  - `ReferenceList.PropertyDates.PropertyAddress.BldgRoom.value` (string)
    Example: Moore House

  - `ReferenceList.PropertyDates.PropertyAddress.BldgRoom.buldingInd` (boolean)
    When true, the information is a building name. When false, it is an apartment or room #
    Example: true

  - `ReferenceList.PropertyDates.PropertyAddress.Number` (object)
    The street number alone is the numerical number that precedes the street name in the address.

  - `ReferenceList.PropertyDates.PropertyAddress.Number.value` (string)
    Street number value.
    Example: 23B

  - `ReferenceList.PropertyDates.PropertyAddress.Number.streetNmbrSuffix` (string)
    Street Number Suffix
    Example: B

  - `ReferenceList.PropertyDates.PropertyAddress.Number.streetDirection` (string)
    Direction of the Street
    Example: NW

  - `ReferenceList.PropertyDates.PropertyAddress.Number.ruralRouteNmbr` (string)
    RuralRoute Number
    Example: 76

  - `ReferenceList.PropertyDates.PropertyAddress.Number.po_Box` (string)
    PO Box Number
    Example: 1001

  - `ReferenceList.PropertyDates.PropertyAddress.Street` (string)
    Street name. May also contain the street number when the Number element is missing.
    Example: ABC Street

  - `ReferenceList.PropertyDates.PropertyAddress.AddressLine` (array)
    Property street address. Used in place of Street and Number. Each element of the array represents an address line.

  - `ReferenceList.PropertyDates.PropertyAddress.City` (string, required)
    Full name of the city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Dublin

  - `ReferenceList.PropertyDates.PropertyAddress.County` (string)
    County or Region Name.
    Example: Berkshire

  - `ReferenceList.PropertyDates.PropertyAddress.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `ReferenceList.PropertyDates.PropertyAddress.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `ReferenceList.PropertyDates.PropertyAddress.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `ReferenceList.PropertyDates.PropertyAddress.Country` (object)
    Contains the information needed to identify a country.

  - `ReferenceList.PropertyDates.PropertyAddress.Country.value` (string)
    The ISO 3166 code for the property's address.
    Example: US

  - `ReferenceList.PropertyDates.PropertyAddress.Country.id` (string)
    Custom user-assigned identifier for the country.
    Example: 23

  - `ReferenceList.PropertyDates.PropertyAddress.Country.name` (string)
    The full name of the country for the property's address.
    Example: United States

  - `ReferenceList.PropertyDates.PropertyAddress.Country.codeContext` (string)
    The source of a code, such as the organization that provided the id number
    Example: IATA

  - `ReferenceList.PropertyDates.PropertyAddress.PostalCode` (string)
    Postal code for the address.
    Example: Sl6 1AB

  - `ReferenceList.PropertyDates.PropertyAddress.Addressee` (string)
    The name of the company or person to be addressed
    Example: ACME INC

  - `ReferenceList.PropertyDates.PropertyAddress.role` (string)
    Defines the type of location the address is assigned to. For TravelAgency address leave blank or use "Other".
    Enum: "Home", "Business", "Mailing", "Delivery", "Destination", "Other", "Billing"

  - `ReferenceList.PropertyDates.PropertyAddress.addressType` (string)
    OTA code for address type
    Example: CLT

  - `ReferenceList.PropertyDates.PropertyAddress.use` (string)
    OTA code for address use
    Example: AUT

  - `ReferenceList.PropertyDates.PropertyAddress.Comment` (object)
    Textual information.

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.value` (string)
    Actual text.
May be restricted based on the type of comment. Ex:
- Notepad remarks: limited to 87 characters.
- Traveler name remarks: limited to 33 characters, only spaces and hyphens allowed for special characters.
    Example: Additional comments

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.id` (string)
    Local identifier within a given message for this object.
    Example: comment_1

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.name` (string)
    Title of comment or type of remark.
    Example: Comment name

  - `ReferenceList.PropertyDates.PropertyAddress.Comment.language` (string)
    Language code using ISO-639 standard
    Example: EN

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy` (object)
    Confidential details for marketing purpose

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.id` (string)
    Optional internally referenced id
    Example: 2

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.shareMarketing` (string)
    Used to indicate marketing preferences, Yes, No, Inherit
    Enum: "Yes", "No", "Inherit"

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.optInStatus` (string)
    Used to indicate marketing preferences, OptIn, OptOut
    Enum: "OptedIn", "OptedOut", "Unknown"

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-08-07T12:12:00Z

  - `ReferenceList.PropertyDates.PropertyAddress.Privacy.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-08-07T12:12:00Z

  - `ReferenceList.PropertyDates.PropertyAddress.Priority` (integer)
    The priority ranking within the group
    Example: 1

  - `ReferenceList.PropertyDates.PropertyAddress.validInd` (boolean)
    If true, this is a valid and complete mailing address that has been verified through an address verification service or previously mailed materials have not been returned.
    Example: false

  - `ReferenceList.PropertyDates.PropertyAddress.provisionedInd` (boolean)
    If true, this address came into the system through provisioning
    Example: false

  - `ReferenceList.PropertyDates.PropertyKey` (object, required)
    Contains up to 250 PropertyKey objects. Each PropertyKey object identifies one property.

  - `ReferenceList.PropertyDates.PropertyKey.@type` (string)

  - `ReferenceList.PropertyDates.PropertyKey.chainCode` (string, required)
    Code for the hotel chain (typically 2 characters)
    Example: UR

  - `ReferenceList.PropertyDates.PropertyKey.propertyCode` (string, required)
    The property code of the requested property (typically 5 characters).
    Example: G3375

  - `ReferenceList.PropertyDates.DateRange` (object, required)
    Specifies the begin and end date of an event, such as check-in and check-out dates.

  - `ReferenceList.PropertyDates.DateRange.start` (string, required)
    Specifies the start date for an event, such as a booking or check-in date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `ReferenceList.PropertyDates.DateRange.end` (string, required)
    Specifies the end date an event, such as a booking or check-out date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `ReferenceList.PropertyDates.GeoLocation` (object)
    For Hotel: the geographic coordinates of the property.

  - `ReferenceList.PropertyDates.GeoLocation.latitude` (number, required)
    Numeric value representing latitude of search center point in degrees and decimal minutes.
    Example: 38.8951

  - `ReferenceList.PropertyDates.GeoLocation.longitude` (number, required)
    Numeric value representing longitude of search center point in degrees and decimal minutes.
    Example: -77.0364

  - `ReferenceList.PropertyDates.GeoLocation.altitude` (number)
    The height of a location, typically measured above sea level
    Example: 5280

  - `ReferenceList.PropertyDates.GeoLocation.altitudeUnitOfDistance` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `ReferenceList.PropertyDates.GeoLocation.positionAccuracy` (string)
    Specifies the level of accuracy for the position
    Enum: "Zip9Code", "Zip7Code", "Zip5Code", "Street", "State", "Property", "Intersection", "Exact", "County", "City", "Block"

  - `ReferenceList.PropertyDates.GeoLocation.mapURL` (string)
    link for embedded map showing location
    Example: www.destinationmap.com

  - `ReferenceList.PropertyDates.GeoLocation.formatURL` (string)
    The URL to the format for the latitude and longitude for this location.
    Example: www.destinationmap.com

  - `ReferenceList.PropertyDates.Telephone` (object)
    Phone information for contacting the relevant individual or agency.  
For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

  - `ReferenceList.PropertyDates.Telephone.@type` (string, required)
    Discriminator classes Telephone or TelephoneDetail
    Example: Telephone

  - `ReferenceList.PropertyDates.Telephone.countryAccessCode` (string)
    Phone country code
    Example: 1

  - `ReferenceList.PropertyDates.Telephone.areaCityCode` (string)
    Phone local area code
    Example: 972

  - `ReferenceList.PropertyDates.Telephone.phoneNumber` (string, required)
    Mobile/Telephone Number. Accepted characters are numeric, dash, space, and period.
    Example: 972-000-787

  - `ReferenceList.PropertyDates.Telephone.extension` (string)
    Telephone extension number
    Example: 234

  - `ReferenceList.PropertyDates.Telephone.id` (string)
    Optional custom user-assigned identifier for a phone number.
    Example: 3

  - `ReferenceList.PropertyDates.Telephone.cityCode` (string)
    IATA city code if referenced by phone number.
    Example: DEN

  - `ReferenceList.PropertyDates.Telephone.role` (string)
    Defines the type of location the Telephone is assigned to. For Travel Agency telephone select "Other" or leave blank.
    Enum: "Mobile", "Home", "Work", "Office", "Fax", "Other"

  - `ReferenceList.PropertyDates.Telephone.phoneLocationType` (string)
    Location of the phone
    Example: Agency

  - `ReferenceList.PropertyDates.Telephone.phoneTechType` (string)
    Indicates the type of technology associated with the telephone number
    Example: Voice

  - `ReferenceList.PropertyDates.Telephone.phoneUseType` (string)
    Agency code for how phone is used (e.g., Home, Business, Emergency Contact, Travel Arranger, Day, Evening).
    Example: Home

  - `ReferenceList.PropertyDates.Telephone.pin` (string)
    Additional codes used for telephone
    Example: 3456

  - `ReferenceList.PropertyDates.Telephone.priority` (integer)
    Priority
    Example: 1

  - `ReferenceList.PropertyDates.Telephone.defaultInd` (boolean)
    When true, indicates a default value should be used.
    Example: true

  - `ReferenceList.PropertyDates.Telephone.provisionedInd` (boolean)
    true indicates this phone number was created through provisioned
    Example: false

  - `ReferenceList.PropertyDates.Email` (object)
    Electronic email addresses, in IETF specified format.  
Booking.com requires a traveler email address in the Hotel Create Reservation and Add Reservation requests. A system-generated confirmation email is sent to the traveler after the booking completes.
For Flights Add Traveler, NDC carriers typically require either an email address or phone number for booking. Recommended best practice is to provide both Email and Telephone for NDC.

  - `ReferenceList.PropertyDates.Email.value` (string)
    The email address.
    Example: exampledomain@example.com

  - `ReferenceList.PropertyDates.Email.id` (string)
    Electronic email addresses, in IETF specified format.
    Example: email_1

  - `ReferenceList.PropertyDates.Email.emailType` (string)
    Use email type to specify if the email is to be sent "TO" or sent "FROM"
    Example: FROM

  - `ReferenceList.PropertyDates.Email.comment` (string)
    Any freeform note for the email, such as its purpose.
    Example: work email

  - `ReferenceList.PropertyDates.Email.preferredFormat` (string)
    Mime media type
    Example: text/html

  - `ReferenceList.PropertyDates.Email.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-03-03T11:11:00Z

  - `ReferenceList.PropertyDates.Email.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-03-03T11:11:00Z

  - `ReferenceList.PropertyDates.Email.validInd` (boolean)
    If true, this is a valid email address that has been system verified via a successful email transmission.
    Example: true

  - `ReferenceList.PropertyDates.Email.provisionedInd` (boolean)
    If true then the email address came from the provisioning process
    Example: true

  - `CurrencyRateConversion` (array)

  - `CurrencyRateConversion.@type` (string)

  - `CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `CurrencyRateConversion.ConversionRate` (object, required)
[...]
